commit:     bef488f2d2e0a2743312302a443bf0bd2a832f5f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 15 04:51:05 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 04:51:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bef488f2

dev-python/s3transfer: Bump to 0.10.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/s3transfer/Manifest                 |  1 +
 dev-python/s3transfer/s3transfer-0.10.1.ebuild | 43 ++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index 3ba75394abb1..baa2e6baf7de 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
 DIST s3transfer-0.10.0.tar.gz 143407 BLAKE2B 
88ca5b6f2f1271492e4a9f0ad525c971953982364acc80da8df9cb7876b96f20739bff30404b3f8229c9fb581bfa8a7aca939d32d2b64b4252a6b5f8f7322a8d
 SHA512 
83c5f794770e4f3cfd2e54297a4fe228bed76d321b694380e918f39cbb7ebe5881b29499d7230a2af13e4c1c9bf2d67285116fc16cb9b6fa5f526ff1d25b607c
+DIST s3transfer-0.10.1.tar.gz 143308 BLAKE2B 
cab8c94ed4ea4277583a902a6a943157cdaf5f742842e1c1a24f7f90ccb6e07dce0c50aa66b500097ad17f06ff398c90c73dadb3959f8317dbf31573c5ff2a1f
 SHA512 
f18a5f655b354cba1c745bba699b8abdeae406669b0dded249925e4189c1d849bc0966ddc415ca25562a7214fbf7979553a67b4d993d054bc5237e301414f0a1

diff --git a/dev-python/s3transfer/s3transfer-0.10.1.ebuild 
b/dev-python/s3transfer/s3transfer-0.10.1.ebuild
new file mode 100644
index 000000000000..e31fb9539e6e
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.10.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+       https://github.com/boto/s3transfer/
+       https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       >=dev-python/botocore-1.33.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # do not rely on bundled deps in botocore (sic!)
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest tests/{unit,functional}
+}

Reply via email to